Qt client looks bad with dark color schemes

Bug #961346 reported by Philip Muškovac on 2012-03-21
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu One Control Panel
Status tracked in Trunk
Stable-3-0
Medium
Roberto Alsina
Trunk
Medium
Roberto Alsina
Ubuntu Single Sign On Client
Status tracked in Trunk
Stable-3-0
Medium
Roberto Alsina
Trunk
Medium
Roberto Alsina
ubuntu-sso-client (Ubuntu)
Medium
Natalia Bidart
Precise
Medium
Natalia Bidart
ubuntuone-control-panel (Ubuntu)
Medium
Natalia Bidart
Precise
Medium
Natalia Bidart

Bug Description

When trying the Qt client in Kubuntu Precise with Zion (reversed) as application color scheme it looks like this:
http://people.ubuntu.com/~yofel/pics/sso.png

which doesn't look too great.

ProblemType: BugDistroRelease: Ubuntu 12.04
Package: ubuntu-sso-client-qt 2.99.90-0ubuntu2
ProcVersionSignature: Ubuntu 3.2.0-18.29-generic 3.2.9
Uname: Linux 3.2.0-18-generic x86_64
ApportVersion: 1.94.1-0ubuntu2
Architecture: amd64
Date: Wed Mar 21 17:13:48 2012
InstallationMedia: Kubuntu 11.10 "Oneiric Ocelot" - Beta amd64 (20111007)
PackageArchitecture: all
ProcEnviron:
 SHELL=/bin/bash
 TERM=screen
 PATH=(custom, user)
 LANG=en_US.UTF-8
 LANGUAGE=en_US.UTF-8SourcePackage: ubuntu-sso-client
UpgradeStatus: No upgrade log present (probably fresh install)

Related branches

Philip Muškovac (yofel) wrote :
summary: - Qt client is bad with dark color schemes
+ Qt client looks bad with dark color schemes
description: updated
Roberto Alsina (ralsina) on 2012-03-21
Changed in ubuntuone-control-panel:
assignee: nobody → Roberto Alsina (ralsina)
status: New → In Progress
Changed in ubuntu-sso-client (Ubuntu):
status: New → In Progress
assignee: nobody → Roberto Alsina (ralsina)
dobey (dobey) on 2012-03-21
Changed in ubuntu-sso-client (Ubuntu):
status: In Progress → Triaged
assignee: Roberto Alsina (ralsina) → Natalia Bidart (nataliabidart)
Changed in ubuntuone-control-panel (Ubuntu):
status: New → Triaged
importance: Undecided → Medium
Changed in ubuntu-sso-client (Ubuntu):
importance: Undecided → Medium
Changed in ubuntuone-control-panel (Ubuntu):
assignee: nobody → Natalia Bidart (nataliabidart)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-sso-client - 2.99.92-0ubuntu1

---------------
ubuntu-sso-client (2.99.92-0ubuntu1) precise; urgency=low

  * New upstream release:
    - Restoring transparency for the overlay widget (LP: #969455).
    - Converting to unicode some data returned by webclient in
      QByteArray format (LP: #961315).
    - Fixed the issue where we use an empty proxy url when the proxy
      was not set in gsettings (LP: #969280).
    - Forced white background (LP: #961346).
  * debian/watch:
    - Updated url to fetch tarball from latest milestone.
 -- Natalia Bidart (nessita) <email address hidden> Tue, 03 Apr 2012 12:01:29 -0300

Changed in ubuntu-sso-client (Ubuntu Precise):
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntuone-control-panel - 2.99.92-0ubuntu1

---------------
ubuntuone-control-panel (2.99.92-0ubuntu1) precise; urgency=low

  * New upstream release:
    - Using limit_bandwidth attribute to properly process the info dict
      for preferences (LP: #944256).
    - Handle errors from backend on the signin wizard page (LP: #945078).
    - Avoid the 'show/hide details' button to grow when focused (LP: #961348).
    - Modified stylesheet to use the new colours from brand, and to also ease
      the reading of white text (LP: #956077).
    - Fixed the gap tab outlines (LP: #822629).
    - Remove custom path validation and use the one provided by syncdaemon
      (LP: #824252).
    - Make use of the new feature from syncdaemon where 'refresh_volumes'
      returns a deferred that gets fired when the server info is ready
      (LP: #851810).
    - Ensured that Folders' tree view has proper texts in the columns to
      have proper column widths (LP: #965175).
    - Forced white background (LP: #961346).
  * debian/control:
    - Bumped dependency versions on ubuntu-sso-client and ubuntuone-client to
      2.99.92.
  * debian/watch:
    - Updated url to fetch tarball from latest milestone.
 -- Natalia Bidart (nessita) <email address hidden> Wed, 04 Apr 2012 13:03:50 -0300

Changed in ubuntuone-control-panel (Ubuntu Precise):
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers